VisualEditor: Feedback form moves and jerks the screen around
Closed, ResolvedPublic

Description

Author: Shirudo

Description:
While filling out the feedback form, the form jumps down the screen with every keystroke, until it's mostly out of view. Once there, only the current line that I'm typing in is visible right above the edge, and every few keystrokes (seemingly randomly) make the entire screen jerk up and down quickly. If I scroll down or drag the form back up so that it's centred again, it just jumps back down once I begin typing again.

If it makes a difference, I'm using Firefox 22 on Fedora 18, with Gnome 3 Fallback.


Version: unspecified
Severity: normal

bzimport created this task.Via LegacyJul 2 2013, 12:11 AM
Jdforrester-WMF added a comment.Via ConduitJul 2 2013, 12:47 AM

This sounds really unhelpful; sorry about this.

Ironholds added a comment.Via ConduitJul 3 2013, 6:59 AM

This has also been reported on Firefox 22/Windows 7, and by a third user who hasn't specified browser/OS.

gerritbot added a comment.Via ConduitJul 3 2013, 6:01 PM

Change 71844 had a related patch set uploaded by Robmoen:
Listen to keypress in ve.ce.surface.$ rather than window.

https://gerrit.wikimedia.org/r/71844

gerritbot added a comment.Via ConduitJul 3 2013, 10:30 PM

Change 71844 merged by jenkins-bot:
Listen to keypress in ve.ce.surface.$ rather than window

https://gerrit.wikimedia.org/r/71844

Jdforrester-WMF added a comment.Via ConduitJul 3 2013, 11:35 PM

Sorry about this bug; we've fixed this and just deployed it live.

Jdforrester-WMF added a comment.Via ConduitJul 6 2013, 11:21 PM
  • Bug 50602 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitNov 25 2013, 10:27 AM
  • Bug 50533 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.